%define debug_package	%{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libexe
Version:	20191221
Release:	2%{?dist}
Summary:	Library to access the executable (EXE) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
Source2:	libcerror-20161119.tar.gz
URL:		https://github.com/libyal/libexe/wiki
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gettext-autopoint
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc
              
%description
libexe is a library to access the executable (EXE) format

%package devel
Summary: Header files and libraries for developing applications for libexe
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libexe.

%package tools
Summary: Several tools for reading executable (EXE) files
Group: Applications/System
Requires: %{name} = %{version}-%{release} 
 

%description tools
Several tools for reading executable (EXE) files

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libexe
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libexe
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libexe
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libexe
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/exeinfo
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20191221-2
* Release 20191221-2
	Release 2 - Removed Python 2 package

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Jun 10 2019 Lawrence R. Rogers <lrr@cert.org> 20181128-4
* Release 20181128-4
	Version 20181128-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181128-3
* Release 20181128-3
	Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20181128-2
* Release 20181128-2
        Version as of 20181128
	-python packages renamed to -python2

* Wed Nov 28 2018 Lawrence R. Rogers <lrr@cert.org> 20181128-1
* Release 20181128-1
	Version 20181128.

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version 20181101.

* Mon Oct 24 2016 Joachim Metz <joachim.metz@gmail.com> 20160418-1
- Auto-generated

